.\" Time-stamp: <96/11/22 12:35:00 andriy>
.TH XCOLORS 1 "9 December 1996" "X Version 11"
.SH NAME
.B xcdc 
\- CD-ROM changer for multi-disc CD-ROM's
.SH SYNOPSIS
.B xcdc
[
.B \-v
]
.SH DESCRIPTION
.I xcdc
is an Motif-based interface program for switching between multiple 
CD slots in a CD-ROM Changer in Linux.  It automatically takes care of
mounting and unmounting the filesystem for ISO9660 CD-ROM's.  It will also 
handle audio CD-ROMs (which should not be mounted).
.PP
In the upper left corder of the xcdc window that appears, you can choose
from four slots on the CD changer.  Clicking on the slot you wish to select.
.PP
.I Note
that currenly when you invoke xcdc no radio button is selected.  This 
is because there is currently no way (that I know of) of detecting the 
active slot in a multi-CD changer from Linux.  If this changes, I will make
the necessary code changes to take advantage of this.  In any case, as soon
as xcdc knows which slot is active, it indicates the active one on the 
screen.
.PP
The 
.I CD Device
field should contain the device file for your CD-ROM. 
Typically this is 
.I /dev/hdb.
If you're not sure, check your 
.I /etc/fstab
and
find the right entry there.  (If your 
.I /etc/fstab
doesn't have an entry for
the CD-ROM, xcdc won't be able to unmount and mount CD's for you.)
.PP
The 
.I Mount Point
field should contain the name of the subdirectory where
xcdc should mount the CD-ROM.  This is typically 
.I /cdrom.
.PP
If the above two fields are blank on your screen, you probably haven't copied
the file 
.I Xcdc
to your home directory.
.PP
Once you have selected one of the CD-ROM slots (0 through 3) using the radio
buttons, press the 
.I Change
button.  xcdc will attempt to:
.PP
.B (1)
Unmount whatever CD is currently in the active slot.
(It does this by issuing the 
.I mount
command with no parameters,
which tells it what file systems are surrently mounted).
xcdc will do this even if the 
.I Mount Point
field is blank.
.PP
.B (2)
Activate the CD in the selected slot.
.PP
.B (3)
If you have specified a subdirectory in the 
.I Mount Point
field,
xcdc will attempt to mount the newly selected CD at that mount
point.  There must be an entry in 
.I /etc/fstab
for this (device, mount point) combination for this to work.
Also, the userid that xcdc is
running as must have the authority to do this.
.PP
If you do not wish to have the selected CD mounted, leave the
.I Mount Point
field blank.
.PP
For audio CD's, if you leave the field blank, no mount will be
performed.  However, even if you spevify a mount point, xcdc 
will try to mount the CD and fail; you'll see an error message
that says the CD couldn't be mounted.  Simply click on 
.I OK
and 
continue.
.PP
.B Note:
if you are running an XWindows based CD audio player (such as 
.I xmcd
), you will
typically have to exit the player in order to change slots, then invoke the
player again.  This is because the changer will see that another program is
using the CD-ROM and will not change slots, so that it doesn't interfere with
the other program (the player).
.SH OPTIONS
\fIxcdc\fP understands
these command line options:
.TP
.B \-v
prints the version number to stdout.
.SH AUTHOR
Andriy M. Bihun   andriy@ny.frontiercomm.net
